View Issue Details

IDProjectCategoryView StatusLast Update
0012285LazarusLCLpublic2013-09-03 12:07
ReporterDominique Louis Assigned ToTom Gregorovic  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN) 
Fixed in Version0.9.27 (SVN) 
Summary0012285: Mac OS X : Canvas.TextOut draws text with aliasing.
DescriptionWhen using Canvas.TextOut on Win32, you don't get any aliasing, while under Mac OS X, you do. It would be nice if there was an option to turn off aliasing.

See attached images for differences between Win32 and Mac OS X.
TagsNo tags attached.
Fixed in Revision16919
LazTarget1.4
WidgetsetCarbon
Attached Files

Relationships

related to 0012297 closedTom Gregorovic Cannot disable anti-aliasing in the Lazarus source editor 

Activities

2008-10-04 00:36

 

FontImageMacOSX.bmp (34,614 bytes)   
FontImageMacOSX.bmp (34,614 bytes)   

2008-10-04 00:36

 

FontImageWin32.bmp (58,422 bytes)   
FontImageWin32.bmp (58,422 bytes)   

Tom Gregorovic

2008-10-07 16:32

developer   ~0022642

You can now use TFont.Quality property to specify anti-aliasing.

Dominique Louis

2008-10-26 23:38

reporter   ~0022957

Thanks for the fix Tom. Works as advertised.

Issue History

Date Modified Username Field Change
2008-10-04 00:33 Dominique Louis New Issue
2008-10-04 00:33 Dominique Louis Widgetset => Carbon
2008-10-04 00:36 Dominique Louis File Added: FontImageMacOSX.bmp
2008-10-04 00:36 Dominique Louis File Added: FontImageWin32.bmp
2008-10-04 09:53 Vincent Snijders LazTarget => post 1.2
2008-10-04 09:53 Vincent Snijders Assigned To => Tom Gregorovic
2008-10-04 09:53 Vincent Snijders Status new => acknowledged
2008-10-05 11:31 Vincent Snijders Relationship added related to 0012297
2008-10-06 13:21 Vincent Snijders Status acknowledged => assigned
2008-10-07 16:32 Tom Gregorovic Fixed in Revision => 16919
2008-10-07 16:32 Tom Gregorovic Status assigned => resolved
2008-10-07 16:32 Tom Gregorovic Fixed in Version => 0.9.27 (SVN)
2008-10-07 16:32 Tom Gregorovic Resolution open => fixed
2008-10-07 16:32 Tom Gregorovic Note Added: 0022642
2008-10-26 23:38 Dominique Louis Status resolved => closed
2008-10-26 23:38 Dominique Louis Note Added: 0022957
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4